Page MenuHomePhabricator

[PowerPC][NFC] Rename ANDI(S)o8 to ANDI(S)8o
ClosedPublic

Authored by jsji on Dec 2 2019, 2:48 PM.

Details

Summary

This is found during https://reviews.llvm.org/D70758
All the other record forms are having suffix o at the end.
ANDIo8 and ANDISo8 are the only two that put o before 8.

This patch rename them to be consistent with others.

Diff Detail

Event Timeline

jsji created this revision.Dec 2 2019, 2:48 PM
jhibbits accepted this revision.Dec 3 2019, 7:43 AM
jhibbits added inline comments.
llvm/lib/Target/PowerPC/P9InstrResources.td
134

It looks to me like we need another change for P9InstrResources.td (not entirely related to this one), to fix some of these regex's to add the '(o)' suffix as well (ADDC, SUBF, SUBFC appear to need that)

This revision is now accepted and ready to land.Dec 3 2019, 7:43 AM
jsji marked an inline comment as done.Dec 3 2019, 7:56 AM

Thanks @jhibbits !

llvm/lib/Target/PowerPC/P9InstrResources.td
134

SUBF is just defined below im line 138.

ADDC/SUBBFC are defined later in around line 1035, as they are cracked.

1035 // Cracked ALU operations.
1036 // Here the two ALU ops can actually be done in parallel and therefore the
1037 // latencies are not added together. Otherwise this is like having two
1038 // instructions running together on two pipelines and 2 dispatches. ALU ops are
1039 // 2 cycles each.
1040 def : InstRW<[P9_ALU_2C, P9_ALU_2C, IP_EXEC_1C, IP_EXEC_1C,
1041               DISP_1C, DISP_1C],
1042       (instrs
1043     (instregex "ADDC(8)?(O)?r$"),
1044     (instregex "SUBFC(8)?(O)?r$")
1045 )>;
jsji marked an inline comment as done.Dec 3 2019, 7:58 AM
jsji added inline comments.
llvm/lib/Target/PowerPC/P9InstrResources.td
134

Oops, r above in line 1043/1044 should be o. Sorry, I copied wrongly from my working branch where I have done renaming.

jsji updated this revision to Diff 232408.Dec 5 2019, 11:11 AM

Rebased.

Build result: pass - 60520 tests passed, 0 failed and 726 were skipped.

Log files: console-log.txt, CMakeCache.txt

This revision was automatically updated to reflect the committed changes.